;InnoSetupVersion=5.1.7

[Setup]
AppName=SyncBack
AppVerName=SyncBack 3.2.14.0
AppId=SyncBack
AppPublisher=2BrightSparks
AppPublisherURL=http://www.SyncBack.com
AppSupportURL=http://www.SyncBack.com
AppUpdatesURL=http://www.SyncBack.com
AppMutex=SyncBack
DefaultDirName={pf}\2BrightSparks\SyncBack
DefaultGroupName=2BrightSparks\SyncBack
UninstallDisplayIcon={app}\SyncBack.exe
UninstallDisplayName=SyncBack
OutputBaseFilename=SyncBack_Setup
Compression=lzma
PrivilegesRequired=none
LicenseFile=embedded\License.rtf
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\SyncBack.exe"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\ReadMe.rtf"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\License.rtf"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\timestamp.vbs"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\RotateBackup.vbs"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\SYNCBACK.CHM"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\RemoveSourceAfter.vbs"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 

[Registry]
Root: HKCU; Subkey: "Software\MJLSoftware\SyncBack"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\Help"; ValueName: "Syncback.chm"; ValueType: String; ValueData: "{app}"; OnlyBelowVersion: 4.9.3001,0.0; Flags: uninsdeletevalue noerror 
Root: HKCU; Subkey: "Software\MJLSoftware"; Flags: uninsdeletekeyifempty 

[INI]
FileName: "{app}\MailingList.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.2brightsparks.com/mailinglist.html"; 
FileName: "{app}\Forums.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.2brightsparks.com/bb/"; 
FileName: "{app}\SyncBackSE.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.SyncBackSE.com/"; 

[Run]
Filename: "{app}\SyncBack.exe"; Description: "Launch SyncBack"; Flags: postinstall skipifsilent nowait
Filename: "{app}\SYNCBACK.CHM"; WorkingDir: "{app}"; Description: "Read the help file"; Flags: shellexec postinstall unchecked skipifsilent nowait
Filename: "http://www.2brightsparks.com/mailinglist.html"; Description: "Join the mailing list"; Flags: shellexec postinstall skipifsilent nowait

[Icons]
Name: "{group}\SyncBack"; Filename: "{app}\SyncBack.exe"; 
Name: "{group}\Help"; Filename: "{app}\SYNCBACK.CHM"; 
Name: "{group}\Mailing List"; Filename: "{app}\MailingList.url"; 
Name: "{group}\Online Forums"; Filename: "{app}\Forums.url"; 
Name: "{group}\SyncBackSE"; Filename: "{app}\SyncBackSE.url"; 
Name: "{group}\Uninstall SyncBack"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\SyncBack"; Filename: "{app}\SyncBack.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\SyncBack"; Filename: "{app}\SyncBack.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\*_excl.txt"; 
Type: files; Name: "{app}\*_excl_dir.txt"; 
Type: files; Name: "{app}\*_Log_Page*.html"; 
Type: files; Name: "{app}\*_Log*.txt"; 
Type: files; Name: "{app}\Debug_*.txt"; 
Type: files; Name: "{app}\MailingList.url"; 
Type: files; Name: "{app}\Forums.url"; 
Type: files; Name: "{app}\SyncBackSE.url"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
